Package gov.nasa.gsfc.sscweb.schema

# Class QueryRequestType

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Request
gov.nasa.gsfc.sscweb.schema.QueryRequestType

public class QueryRequestType extends Request
SSC query request type. <p>Java class for QueryRequestType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="QueryRequestType"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}Request"> <sequence> <element name="ExecuteOptions" type="{http://sscweb.gsfc.nasa.gov/schema}ExecuteOptions"/> <element name="ResultOptions" type="{http://sscweb.gsfc.nasa.gov/schema}ResultOptions"/> <element name="ConditionOperator" type="{http://sscweb.gsfc.nasa.gov/schema}ConditionOperator"/> <element name="Conditions" type="{http://sscweb.gsfc.nasa.gov/schema}Condition" maxOccurs="9"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ConditionOperator`
  `conditionOperator`
  Operator for combining conditions.
  `protected List<Condition>`
  `conditions`
  Query conditions.
  `protected ExecuteOptions`
  `executeOptions`
  Query execution options.
  `protected ResultOptions`
  `resultOptions`
  Query result options.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `bFieldModel, description, timeInterval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConditionOperator`
  `getConditionOperator()`
  Operator for combining conditions.
  `List<Condition>`
  `getConditions()`
  Query conditions.
  `ExecuteOptions`
  `getExecuteOptions()`
  Query execution options.
  `ResultOptions`
  `getResultOptions()`
  Query result options.
  `void`
  `setConditionOperator(ConditionOperator value)`
  Sets the value of the conditionOperator property.
  `void`
  `setExecuteOptions(ExecuteOptions value)`
  Sets the value of the executeOptions property.
  `void`
  `setResultOptions(ResultOptions value)`
  Sets the value of the resultOptions property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.Request

  `getBFieldModel, getDescription, getTimeInterval, setBFieldModel, setDescription, setTimeInterval`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### executeOptions

    protected ExecuteOptions executeOptions
    Query execution options.

  - ### resultOptions

    protected ResultOptions resultOptions
    Query result options.

  - ### conditionOperator

    protected ConditionOperator conditionOperator
    Operator for combining conditions.

  - ### conditions

    protected List<Condition> conditions
    Query conditions. Consists of a SatelliteCondition along with one of the following: - GroundStationCondition (and optionally a RegionCondition) - LeadSatelliteCondition (and optionally a RegionCondition) - RegionCondition

- ## Constructor Details

  - ### QueryRequestType

    public QueryRequestType()

- ## Method Details

  - ### getExecuteOptions

    public ExecuteOptions getExecuteOptions()
    Query execution options.
    Returns:
      possible object is `ExecuteOptions`

  - ### setExecuteOptions

    public void setExecuteOptions(ExecuteOptions value)
    Sets the value of the executeOptions property.
    Parameters:
      `value` - allowed object is `ExecuteOptions`
    See Also:
      - `getExecuteOptions()`

  - ### getResultOptions

    public ResultOptions getResultOptions()
    Query result options.
    Returns:
      possible object is `ResultOptions`

  - ### setResultOptions

    public void setResultOptions(ResultOptions value)
    Sets the value of the resultOptions property.
    Parameters:
      `value` - allowed object is `ResultOptions`
    See Also:
      - `getResultOptions()`

  - ### getConditionOperator

    public ConditionOperator getConditionOperator()
    Operator for combining conditions.
    Returns:
      possible object is `ConditionOperator`

  - ### setConditionOperator

    public void setConditionOperator(ConditionOperator value)
    Sets the value of the conditionOperator property.
    Parameters:
      `value` - allowed object is `ConditionOperator`
    See Also:
      - `getConditionOperator()`

  - ### getConditions

    public List<Condition> getConditions()
    Query conditions. Consists of a SatelliteCondition along with one of the following: - GroundStationCondition (and optionally a RegionCondition) - LeadSatelliteCondition (and optionally a RegionCondition) - RegionCondition Gets the value of the conditions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the conditions property.

    For example, to add a new item, do as follows:

         getConditions().add(newItem);

    Objects of the following type(s) are allowed in the list `Condition`

    Returns:
      The value of the conditions property.